_syck_level Struct Reference

`#include <syck.h>`

## Data Fields

int | spaces
int | ncount
int | anctag
char * | domain
enum syck_level_status | status

## Detailed Description

Definition at line 205 of file syck.h.

## Field Documentation

int _syck_level::anctag

Definition at line 212 of file syck.h.

Referenced by syck_emit(), syck_emit_item(), syck_emit_tag(), syck_emitter_add_level(), and syck_emitter_reset_levels().

char* _syck_level::domain

Definition at line 214 of file syck.h.

Referenced by syck_emitter_add_level(), syck_emitter_pop_level(), syck_emitter_reset_levels(), syck_free_emitter(), syck_free_parser(), syck_parser_add_level(), syck_parser_pop_level(), syck_parser_reset_levels(), sycklex_bytecode_utf8(), and sycklex_yaml_utf8().

int _syck_level::ncount

Definition at line 210 of file syck.h.

Referenced by syck_emit_end(), syck_emit_item(), syck_emit_map(), syck_emit_scalar(), syck_emit_seq(), syck_emitter_add_level(), syck_emitter_reset_levels(), syck_parser_add_level(), syck_parser_reset_levels(), and sycklex_bytecode_utf8().

int _syck_level::spaces

Definition at line 207 of file syck.h.

Referenced by syck_emit(), syck_emit_indent(), syck_emit_item(), syck_emit_scalar(), syck_emitter_add_level(), syck_emitter_reset_levels(), syck_parser_add_level(), syck_parser_reset_levels(), sycklex_bytecode_utf8(), and sycklex_yaml_utf8().

enum syck_level_status _syck_level::status

Definition at line 216 of file syck.h.

Referenced by syck_emit_end(), syck_emit_item(), syck_emit_map(), syck_emit_scalar(), syck_emit_seq(), syck_emitter_add_level(), syck_emitter_reset_levels(), syck_parser_add_level(), syck_parser_reset_levels(), sycklex_bytecode_utf8(), and sycklex_yaml_utf8().

The documentation for this struct was generated from the following file:

- ext/syck/syck.h